Name:           duktape
Version:        2.7.0
Release:        2
Summary:        Embeddable Javascript engine
License:        MIT
Url:            http://duktape.org/
Source0:        http://duktape.org/%{name}-%{version}.tar.xz
Source1:        duktape.pc.in
#download from https://github.com/svaarala/duktape/pull/2480/files
Patch0:         duktape-2.7.0-link-against-libm.patch
BuildRequires:  gcc
BuildRequires:  pkgconfig
BuildRequires:  make

%description
Duktape is an embeddable Javascript engine, with a focus on portability and
compact footprint.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}

%description    devel
Embeddable Javascript engine.

This package contains header files and libraries needed to develop
application that use %{name}.

%prep
%setup -q
%patch 0 -p1

sed -e's|@prefix@|%{_prefix}|' \
    -e's|@libdir@|%{_lib}|' \
    -e's|@PACKAGE_VERSION@|%{version}|' \
    < %{SOURCE1} > %{name}.pc.in

%build
sed -e '/^INSTALL_PREFIX/s|[^?=]*$|%{_prefix}|' \
    -e '/install\:/a\\tinstall -d $(DESTDIR)$(INSTALL_PREFIX)/%{_lib}\n\tinstall -d $(DESTDIR)$(INSTALL_PREFIX)/include' \
    -e 's/\/lib\b/\/%{_lib}/g' \
     < Makefile.sharedlibrary > Makefile
%make_build

%install
%make_install

install -Dm0644 %{name}.pc.in %{buildroot}%{_libdir}/pkgconfig/%{name}.pc

#%ldconfig_scriptlets
%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license LICENSE.txt
%doc AUTHORS.rst
%{_libdir}/libduktape.so.*
%{_libdir}/libduktaped.so.*

%files devel
%doc README.rst
%{_includedir}/duk_config.h
%{_includedir}/duktape.h
%{_libdir}/libduktape.so
%{_libdir}/libduktaped.so
%{_libdir}/pkgconfig/duktape.pc

%changelog
* Fri Sep 15 2023 peijiankang<peijiankang@kylinos.cn> - 2.7.0-2
- add patch0:duktape-2.7.0-link-against-libm.patch

* Thu Nov 3 2022 zhengxiaoxiao<zhengxiaoxiao2@huawei.com> - 2.7.0-1
- update to 2.7.0

* Thu Apr 28 2022 Hugel<gengqihu1@h-partners.com> - 2.6.0-2
- delete examples from devel

* Thu Apr 28 2022 Hugel<gengqihu1@h-partners.com> - 2.6.0-1
- Initial package
